/**
 * 质检管理接口
 */
import request from '@/utils/request'
import qs from 'qs'

// 查询质检模块
export function getQModulerList(params) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params
  })
}
// 新增质检模块
export function addQModular(params) {
  return request({
    url: '/qualityModular/add',
    method: 'post',
    params
  })
}
// 编辑质检模块
export function updateQModular(params) {
  return request({
    url: '/qualityModular/update',
    method: 'post',
    params
  })
}

// 删除质检模块
export function delQModular(id) {
  return request({
    url: '/qualityModular/delete',
    method: 'post',
    params: {
      ids: id
    }
  })
}

// 生效/失效质检模块
export function activeQModular(id, status) {
  return request({
    url: '/qualityModular/active',
    method: 'post',
    params: {
      id: id,
      status: status
    }
  })
}

// 查询质检标准
export function getQIndexList(id) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params: {
      modularId: id
    }
  })
}
// 新增质检标准
export function addQIndex(params) {
  return request({
    url: '/qualityIndex/addIndex',
    method: 'post',
    params
  })
}
// 编辑质检标准
export function updateQIndex(params) {
  return request({
    url: '/qualityIndex/update',
    method: 'post',
    params
  })
}

// 删除质检标准
export function delQIndex(id) {
  return request({
    url: '/qualityIndex/delete',
    method: 'post',
    params: {
      indexId: id
    }
  })
}

// 根据模块获取一级指标列表
export function getFirstLevelIndexList(id) {
  return request({
    url: '/qualityIndex/firstIndex',
    method: 'post',
    params: {
      modularId: id
    }
  })
}
// 待质检录音列表
export function getWaitCheckSoundList(params) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params
  })
}
// 已质检录音列表
export function getCheckedSoundList(params) {
  return request({
    url: '/sound/soundList',
    method: 'get',
    params
  })
}

// 第一次质检
export function firstCheck(params) {
  return request({
    url: '/qualityCheck/check',
    method: 'post',
    params
  })
}
// 质检复核
export function secondCheck(params) {
  return request({
    url: '/qualityCheck/checkTwice',
    method: 'post',
    params
  })
}
